Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class RMSBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.RMSequenceBean
              org.apache.sandesha2.storage.beans.RMSBean

All Implemented Interfaces:
  java.io.Serializable

public class RMSBean
extends RMSequenceBean

This bean is used at the sending side (of both server and client) There is on object of this for each sequence.

See Also:
  Serialized Form

Constructor Summary
`RMSBean()`
`RMSBean(RMSBean beanToCopy)` Constructor that copies all RMSBean values from the RMSBean supplied

Method Summary
`java.lang.String` | `getAnonymousUUID()`
`java.lang.String` | `getApplicationMessageMessageId()`
`RangeString` | `getClientCompletedMessages()`
`java.lang.String` | `getCreateSeqMsgID()`
`java.lang.String` | `getCreateSequenceMsgStoreKey()`
`long` | `getExpectedReplies()`
`long` | `getHighestOutMessageNumber()`
`java.lang.String` | `getHighestOutRelatesTo()`
`java.lang.String` | `getInternalSequenceID()`
`long` | `getLastOutMessage()`
`java.lang.Exception` | `getLastSendError()`
`long` | `getLastSendErrorTimestamp()`
`long` | `getNextMessageNumber()`
`long` | `getNumberOfMessagesAcked()`
`java.lang.String` | `getOfferedEndPoint()`
`java.lang.String` | `getOfferedSequence()`
`java.lang.String` | `getReferenceMessageStoreKey()`
`int` | `getRmsFlags()`
`int` | `getSoapVersion()`
`java.lang.String` | `getTransportTo()`
`boolean` | `isAvoidAutoTermination()`
`boolean` | `isSequenceClosedClient()`
`boolean` | `isTerminateAdded()`
`boolean` | `isTerminationPauserForCS()`
`boolean` | `isTimedOut()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setAnonymousUUID(java.lang.String anonymousUUID)`
`void` | `setApplicationMessageMessageId(java.lang.String applicationMessageMessageId)`
`void` | `setAvoidAutoTermination(boolean avoidAutoTermination)`
`void` | `setClientCompletedMessages(RangeString clientCompletedMessages)`
`void` | `setCreateSeqMsgID(java.lang.String createSeqMsgID)`
`void` | `setCreateSequenceMsgStoreKey(java.lang.String createSequenceMsgStoreKey)`
`void` | `setExpectedReplies(long expectedReplies)`
`void` | `setHighestOutMessageNumber(long highestOutMessageNumber)`
`void` | `setHighestOutRelatesTo(java.lang.String highestOutRelatesTo)`
`void` | `setInternalSequenceID(java.lang.String internalSequenceID)`
`void` | `setLastOutMessage(long lastOutMessage)`
`void` | `setLastSendError(java.lang.Exception lastSendError)`
`void` | `setLastSendErrorTimestamp(long lastSendErrorTimestamp)`
`void` | `setNextMessageNumber(long nextMessageNumber)`
`void` | `setOfferedEndPoint(java.lang.String offeredEndPoint)`
`void` | `setOfferedSequence(java.lang.String offeredSequence)`
`void` | `setReferenceMessageStoreKey(java.lang.String referenceMessageStoreKey)`
`void` | `setRmsFlags(int rmsFlags)`
`void` | `setSequenceClosedClient(boolean sequenceClosedClient)`
`void` | `setSoapVersion(int soapVersion)`
`void` | `setTerminateAdded(boolean terminateAdded)`
`void` | `setTerminationPauserForCS(boolean terminationPauserForCS)`
`void` | `setTimedOut(boolean timedOut)`
`void` | `setTransportTo(java.lang.String transportTo)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMSequenceBean
`getAcksToEPR, getFlags, getLastActivatedTime, getReplyToEPR, getRMVersion, getSecurityTokenData, getSequenceID, getServiceName, getToEPR, isClosed, isPollingMode, isReplayModel, isTerminated, setAcksToEPR, setClosed, setFlags, setLastActivatedTime, setPollingMode, setReplayModel, setReplyToEPR, setRMVersion, setSecurityTokenData, setSequenceID, setServiceName, setTerminated, setToEPR`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMSBean

    public RMSBean()

### RMSBean

    public RMSBean(RMSBean beanToCopy)

  Constructor that copies all RMSBean values from the RMSBean supplied

Parameters:
  `beanToCopy` -

Method Detail

### getCreateSeqMsgID

    public java.lang.String getCreateSeqMsgID()

### setCreateSeqMsgID

    public void setCreateSeqMsgID(java.lang.String createSeqMsgID)

### getInternalSequenceID

    public java.lang.String getInternalSequenceID()

### setInternalSequenceID

    public void setInternalSequenceID(java.lang.String internalSequenceID)

### getCreateSequenceMsgStoreKey

    public java.lang.String getCreateSequenceMsgStoreKey()

### setCreateSequenceMsgStoreKey

    public void setCreateSequenceMsgStoreKey(java.lang.String createSequenceMsgStoreKey)

### getReferenceMessageStoreKey

    public java.lang.String getReferenceMessageStoreKey()

### setReferenceMessageStoreKey

    public void setReferenceMessageStoreKey(java.lang.String referenceMessageStoreKey)

### getLastSendError

    public java.lang.Exception getLastSendError()

### setLastSendError

    public void setLastSendError(java.lang.Exception lastSendError)

### getLastSendErrorTimestamp

    public long getLastSendErrorTimestamp()

### setLastSendErrorTimestamp

    public void setLastSendErrorTimestamp(long lastSendErrorTimestamp)

### getLastOutMessage

    public long getLastOutMessage()

### setLastOutMessage

    public void setLastOutMessage(long lastOutMessage)

### getHighestOutMessageNumber

    public long getHighestOutMessageNumber()

### setHighestOutMessageNumber

    public void setHighestOutMessageNumber(long highestOutMessageNumber)

### getHighestOutRelatesTo

    public java.lang.String getHighestOutRelatesTo()

### setHighestOutRelatesTo

    public void setHighestOutRelatesTo(java.lang.String highestOutRelatesTo)

### getNextMessageNumber

    public long getNextMessageNumber()

### setNextMessageNumber

    public void setNextMessageNumber(long nextMessageNumber)

### getClientCompletedMessages

    public RangeString getClientCompletedMessages()

### setClientCompletedMessages

    public void setClientCompletedMessages(RangeString clientCompletedMessages)

### isTerminateAdded

    public boolean isTerminateAdded()

### setTerminateAdded

    public void setTerminateAdded(boolean terminateAdded)

### isTimedOut

    public boolean isTimedOut()

### setTimedOut

    public void setTimedOut(boolean timedOut)

### isSequenceClosedClient

    public boolean isSequenceClosedClient()

### setSequenceClosedClient

    public void setSequenceClosedClient(boolean sequenceClosedClient)

### getNumberOfMessagesAcked

    public long getNumberOfMessagesAcked()

### getTransportTo

    public java.lang.String getTransportTo()

### setTransportTo

    public void setTransportTo(java.lang.String transportTo)

### getOfferedEndPoint

    public java.lang.String getOfferedEndPoint()

### setOfferedEndPoint

    public void setOfferedEndPoint(java.lang.String offeredEndPoint)

### getOfferedSequence

    public java.lang.String getOfferedSequence()

### setOfferedSequence

    public void setOfferedSequence(java.lang.String offeredSequence)

### isTerminationPauserForCS

    public boolean isTerminationPauserForCS()

### setTerminationPauserForCS

    public void setTerminationPauserForCS(boolean terminationPauserForCS)

### getExpectedReplies

    public long getExpectedReplies()

### setExpectedReplies

    public void setExpectedReplies(long expectedReplies)

### getAnonymousUUID

    public java.lang.String getAnonymousUUID()

### setAnonymousUUID

    public void setAnonymousUUID(java.lang.String anonymousUUID)

### isAvoidAutoTermination

    public boolean isAvoidAutoTermination()

### setAvoidAutoTermination

    public void setAvoidAutoTermination(boolean avoidAutoTermination)

### getSoapVersion

    public int getSoapVersion()

### setSoapVersion

    public void setSoapVersion(int soapVersion)

### getRmsFlags

    public int getRmsFlags()

### setRmsFlags

    public void setRmsFlags(int rmsFlags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RMSequenceBean`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Overrides:
    `match` in class `RMSequenceBean`

### getApplicationMessageMessageId

    public java.lang.String getApplicationMessageMessageId()

### setApplicationMessageMessageId

    public void setApplicationMessageMessageId(java.lang.String applicationMessageMessageId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.